Subject: bug#21555: 25.0.50; per-project *vc-change-log* buffers

From: Dmitry Gutov <[email-masked]>
Date: Fri, 30 May 2025 04:10:58 +0300

On 14/03/2025 09:47, Juri Linkov wrote:
>> You can already do something similar by using C-x x u to rename the
>> *vc-change-log* buffer, and then 'g' inside it works to regenerate it.
> Or (add-hook 'log-view-mode-hook 'rename-uniquely)

Could we have a function that would do such a renaming, but only when 
project differs? E.g. it would take the base buffer name and add the 
abbreviated project root to it.

We could call it 'rename-prefixed-with-project' or something like that.

This way one would only have as many log-view buffers as they have 
projects open. Might even fix the revert-buffer issue?